Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Palettenfeature in Symbolleiste

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Palettenfeature in Symbolleiste (316 mal gelesen)
wismail
Mitglied
Konstrukteur


Sehen Sie sich das Profil von wismail an!   Senden Sie eine Private Message an wismail  Schreiben Sie einen Gästebucheintrag für wismail

Beiträge: 108
Registriert: 22.02.2001

erstellt am: 13. Jan. 2006 11:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo SWXSolidWorks-user,
wir haben ein Palettenfeature, das wir sehr häufig benötigen.
Jetzt hätte ich dieses gerne mit Direktzugriff in einer Symbolleiste platziert, damit ich nicht bei jedem Aufruf erst die Schalterfolge
"Extras"  "Featurepalette"  "Ordner, wo das feature drinsteht" "Feature" klicken muss.
Leider hab ich den Direktzugriff weder über Optionen, Anpassen Symbolleisten noch über das Zuweisen einer Tastenkombination noch per Macroaufzeichnung erreichen können. War auch der erste Versuch mit Macroaufzeichnung, vielleicht liegts daran.
Vielleicht hat ja einer von Euch eine Idee, wie ich hierzu einen Schnellzugriff erstellen kann.
Im Archiv hab ich auch nichts dazu gefunden.

Gruß Frank
Euch allen natürlich noch ein gutes neues Jahr 2006

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KMassler
Ehrenmitglied V.I.P. h.c.
CAD Admin + Mädchen für Alles...



Sehen Sie sich das Profil von KMassler an!   Senden Sie eine Private Message an KMassler  Schreiben Sie einen Gästebucheintrag für KMassler

Beiträge: 2623
Registriert: 06.11.2000

** CSWP 01/2008 **
HP Z440, 16GB, Quadro K2200;
SWX2016 SP4;
SAP/PLM;
DriveWorks Pro;
Programmierung: VBA, aktuell VB.NET 2017

erstellt am: 13. Jan. 2006 11:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für wismail 10 Unities + Antwort hilfreich

Ich habe in der API nur das
Code:
Part.InsertLibraryFeature

gefunden.

Das fügt dir an der zuletzt gewählten Stelle das entsprechende Feature ein, du hast allerdings dabei keinen weiteren Einfluss auf das Feature (Position, Konfiguration...), das musst du alles nachträglich noch richtigstellen

Code:

Dim swApp As Object
Dim Part As Object
Sub main()

Set swApp = Application.SldWorks
Set Part = swApp.ActiveDoc
Part.InsertLibraryFeature "Palettenfeature.SLDLFP"
End Sub



Füge hier statt "Palettenfeature.SLDLFP" den Namen mit Pfad deines gewünschen Features ein, dann kannst du in der Toolbar einen Knopf für dieses Makro definieren.

------------------
Klaus

Danke für deinen Besuch in meinem Gästebuch!
www.al-ko.de
privat...
ForumsChat: Schau doch mal hier rein, wenn du Zeit hast...
Saga of Ryzom

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wismail
Mitglied
Konstrukteur


Sehen Sie sich das Profil von wismail an!   Senden Sie eine Private Message an wismail  Schreiben Sie einen Gästebucheintrag für wismail

Beiträge: 108
Registriert: 22.02.2001

erstellt am: 13. Jan. 2006 15:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Klaus,
danke für Deine Antwort.
Nach ein bisschen probieren hats jetzt funktioniert.
Gruß Frank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wismail
Mitglied
Konstrukteur


Sehen Sie sich das Profil von wismail an!   Senden Sie eine Private Message an wismail  Schreiben Sie einen Gästebucheintrag für wismail

Beiträge: 108
Registriert: 22.02.2001

erstellt am: 13. Jan. 2006 16:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Kollegen,
eine Frage hätt ich noch.
Ich hab das Macro jetzt soweit, dass die Skizze gleich zur Bearbeitung geöffnet ist. In dieser Skizze ist ein Text, den mann editieren muss. Kann man das Macro so umschreiben, daß das Textbearbeitungsfenster gleich aufgeht oder eine Variable mit einbauen, die beim Makrostart abgefragt und dann als Text eingefügt wird ?


Dim swApp As Object
Dim Part As Object
Sub main()
Set swApp = Application.SldWorks
Set Part = swApp.ActiveDoc
Part.InsertLibraryFeature "G:\000_Vorlagen\Werkzeuge\Laservorlagen KML\Lasertext .SLDLFP"
boolstatus = Part.Extension.SelectByID("skizzentext", "SKETCH", 0, 0, 0, False, 0, Nothing)
Part.EditSketch

End Sub

Im vorraus schon mal Danke

Frank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KMassler
Ehrenmitglied V.I.P. h.c.
CAD Admin + Mädchen für Alles...



Sehen Sie sich das Profil von KMassler an!   Senden Sie eine Private Message an KMassler  Schreiben Sie einen Gästebucheintrag für KMassler

Beiträge: 2623
Registriert: 06.11.2000

** CSWP 01/2008 **
HP Z440, 16GB, Quadro K2200;
SWX2016 SP4;
SAP/PLM;
DriveWorks Pro;
Programmierung: VBA, aktuell VB.NET 2017

erstellt am: 16. Jan. 2006 08:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für wismail 10 Unities + Antwort hilfreich

Hmm.. also das sieht jetzt schlecht aus.
Vorhandenen Skizzentext per Makro zu bearbeiten, habe ich noch nicht geschafft, obwohl es dazu in der Hilfe folgendes gibt:
Code:
SketchText::Text
...
Description

This property gets or sets the text that makes up this sketch text.

Syntax (OLE Automation)
retval = SketchText.Text (VB Get property)

SketchText.Text = Value (VB Set property)

..usw.



wie gesagt, ich habs noch nicht hinbekommen, aber vielleicht hast du ja mehr Ausdauer 

------------------
Klaus

Danke für deinen Besuch in meinem Gästebuch!
www.al-ko.de
privat...
ForumsChat: Schau doch mal hier rein, wenn du Zeit hast...
Saga of Ryzom

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz